# Commandes tail - head



### Tail

#### Par défaut, tail affiche les 10 dernières lignes du fichier.

```bash
$ tail /var/log/messages
```



#### Afficher les 15 dernières lignes du fichier.

```bash
$ tail -n15 /var/log/messages
$ tail -15 /var/log/messages
$ tail -n 15 /var/log/messages
```



#### L'option -f affiche le fichier au fil de l'eau

```bash
$ tail -f /var/log/messages
```



### MultiTail

Permet d'afficher plusieurs fichiers en meme temps:

```bash
$ multitail error_log access_log
```

Permet d'afficher 2 fichiers côte à côte:

```bash
$ multitail -s 2 error_log access_log
```

ou 'v' en cours d'exécution

Faire défiler (sur 100 lignes): 'b' ('q' pour quitter le mode défilement')

Pour changer le nb de lignes: 
-m <valeur> pour le prochain fichier
-M <valeur> pour tous les fichiers

Fusionner 2 fichiers (ils s'affichent ensemble dans une seul fenêtre):

```bash
$ multitail error_log -I access_log
```

Visualiser la sortie de programmes externes:

```bash
$ multitail -l "ping localhost"
```

Filtrer à l'aide de regexp (grep):

```bash
$ multitail -e '200' access_log
```

```bash
$ multitail -v -e "ssh" -v -e "gnu-pop3d" -e "localhost" /var/log/messages
```

-e 'test': n'affiche que les lignes qui contiennent 'test'
-v -e 'test': n'affiche que les autres lignes



### Head

#### Afficher les 5 premères lignes du fichier.

```bash
$ head -5 /var/log/messages
$ head -n5 /var/log/messages
$ head -n 5 /var/log/messages
```

